import { Injectable } from '@nestjs/common';
import { CreateDeviceDto } from './dto/create-device.dto';
import { InjectRepository } from '@nestjs/typeorm';
import {
  DeviceType,
  TranslateDeviceEntity,
} from '@/entities/translate-device.entity';
import { Repository } from 'typeorm';

@Injectable()
export class DeviceService {
  constructor(
    @InjectRepository(TranslateDeviceEntity)
    private deviceRepository: Repository<TranslateDeviceEntity>,
  ) {}
  async create(dto: CreateDeviceDto): Promise<TranslateDeviceEntity> {
    const device = new TranslateDeviceEntity();
    device.sn = dto.sn;
    device.name = dto?.name || `device-${dto.sn}`;
    device.type = DeviceType.HEADSET;
    device.createdAt = new Date();
    device.updatedAt = new Date();
    return await this.deviceRepository.save(dto);
  }

  async findBySn(sn: string) {
    return await this.deviceRepository.findOne({
      where: { sn, deleted: false },
    });
  }

  async remove(sn: string) {
    return await this.deviceRepository.update({ deleted: true }, { sn });
  }
}
