import { DeviceType } from '@/entities/translate-device.entity';
import { ApiProperty } from '@nestjs/swagger';
import { IsEmpty, IsOptional, IsString } from 'class-validator';

export class CreateDeviceDto {
  @ApiProperty({
    description: '设备序列号',
    type: String,
    example: '123456',
  })
  @IsEmpty()
  @IsString()
  sn: string;

  @ApiProperty({
    description: '设备名称',
    type: String,
    example: '设备1',
  })
  @IsOptional()
  @IsEmpty()
  @IsString()
  name?: string;

  @ApiProperty({
    description: '设备类型',
    enum: DeviceType,
    example: DeviceType.HEADSET,
  })
  @IsEmpty()
  @IsString()
  type: DeviceType;
}
