import {
  FanYiGouSourceLanguages,
  FanYiGouTargetLanguages,
} from '@/common/utils/constants';
import { ApiProperty } from '@nestjs/swagger';
import { Expose } from 'class-transformer';
import { IsEnum, IsNotEmpty } from 'class-validator';
import { Multer } from 'multer';

export class TranslateImageReqDto {
  @ApiProperty({
    description: '要翻译的图片文件',
    type: 'string',
    format: 'binary',
  })
  file: Multer.File;

  @ApiProperty({
    description: '目标语言',
    enum: FanYiGouTargetLanguages,
    example: FanYiGouTargetLanguages.EN,
  })
  @Expose()
  @IsNotEmpty()
  @IsEnum(FanYiGouTargetLanguages)
  target: string;

  @ApiProperty({
    description: '源语言',
    enum: FanYiGouSourceLanguages,
    example: FanYiGouSourceLanguages.ZH,
  })
  @Expose()
  @IsNotEmpty()
  @IsEnum(FanYiGouSourceLanguages)
  source: string;
}
