import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

export enum DeviceType {
  HEADSET = 'HEADSET',
}

@Entity('translatedevice')
export class TranslateDeviceEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({
    nullable: false,
    type: 'varchar',
    name: 'sn',
    comment: '设备序列号',
  })
  sn: string;

  @Column({
    nullable: false,
    type: 'varchar',
    name: 'name',
    comment: '设备名称',
  })
  name: string;

  @Column({
    nullable: false,
    type: 'varchar',
    name: 'type',
    comment: '设备类型',
  })
  type: DeviceType;

  @Column({
    nullable: false,
    name: 'status',
    default: 1,
    comment: '状态：0禁用、1启用',
  })
  status: number;

  @Column({
    nullable: false,
    name: 'deleted',
    default: 0,
    comment: '0未删除、1已删除',
  })
  deleted: boolean;

  @Column({
    nullable: false,
    name: 'created_at',
    comment: '创建时间',
    default: Date.now(),
  })
  createdAt: Date;

  @Column({
    nullable: false,
    name: 'updated_at',
    comment: '修改时间',
    default: Date.now(),
  })
  updatedAt: Date;
}
